package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.AmsshipCargoTransferResult;
import com.steerinfo.dil.model.AmsshipDeliveryAttorney;
import com.steerinfo.framework.mapper.IBaseMapper;
import java.math.*;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.MapKey;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

@Mapper
public interface AmsshipCargoTransferResultMapper extends IBaseMapper<AmsshipCargoTransferResult, BigDecimal> {

    List<Map<String,Object>> seletCargoTransfer(Map<String,Object> mapVal);
    //添加货权转移信息
    int insertSelective(AmsshipCargoTransferResult amsshipCargoTransferResult);
    //删除货权转移信息
//    int deleteByPrimaryKey(BigDecimal cargoTransferResultId);
    //修改货权转移信息
    int updateByPrimaryKey(BigDecimal cargoTransferResultId);
    BigDecimal selectMaxId();
    //  根据关键字查找信息
    AmsshipCargoTransferResult selectByPrimaryKey(BigDecimal cargoTransferResultId);
    List<Map<String,Object>> getGroup();
    List<Map<String,Object>> getCargoId();
    List<Map<String,Object>> selectByOrder(Integer cargoTransferResultId);
    //    List<Map<String,Object>>  updateByBatchId(Integer betchId);
    //插入批次
    List<Map<String,Object>>  insertBetchId( );
    //通过
    BigDecimal selectPortId(BigDecimal pierId);

    @Select("select seq_AMSSHIP_CARGO.nextval from dual")
    BigDecimal selectCargoId();
    //获取船运物资id
    List<Map<String,Object>> selectMaterialIdByMaterialTypeId();
}