package com.steerinfo.dil.mapper;


import com.steerinfo.dil.model.AmsshipDeliveryNotice;
import com.steerinfo.framework.mapper.IBaseMapper;
import java.math.*;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.MapKey;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

@Mapper
public interface AmsshipDeliveryNoticeMapper extends IBaseMapper<AmsshipDeliveryNotice, BigDecimal> {
    @MapKey("selectShipDeliveryNotice")
        // 展示收货通知单信息
    List<Map<String,Object>> selectShipDeliveryNotice(Map<String,Object> mapVal);
    //修改收货通知单信息
    int updateByPrimaryKey(BigDecimal noticeId);
    BigDecimal selectMaxId();
    AmsshipDeliveryNotice selectByPrimaryKey(BigDecimal noticeId);
    @MapKey("getResultNumber")
    List<Map<String,Object>> getResultNumber();
    @MapKey("getcarrier")
    List<Map<String,Object>>  getcarrier();
    //     List<Map<String,Object>>  getOrderNo();
    @MapKey("selectByNoticeId")
    List<Map<String,Object>> selectByNoticeId(Integer noticeId);
    @MapKey("getShipper")
    List<Map<String,Object>>  getShipper();

    @Select("select seq_AMSSHIP_NOTICE.nextval from dual")
    BigDecimal selectNoticeId();
}