package com.steerinfo.dil.service;

import com.steerinfo.framework.service.IBaseService;
import com.steerinfo.dil.model.AmsshipDeliveryNotice;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * AmsshipDeliveryNotice服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-08-18 03:54
 * 类描述
 * 修订历史：
 * 日期：2021-08-18
 * 作者：generator
 * 参考：
 * 描述：AmsshipDeliveryNotice服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IAmsshipDeliveryNoticeService{

    // 展示收货通知单信息
    List<Map<String,Object>> selectShipDeliveryNotice(Map<String,Object> mapVal);
    //添加收货通知单信息
    int insert(AmsshipDeliveryNotice amsshipDeliveryNotice);
    //删除收货通知单信息
    int deleteByPrimaryKey(BigDecimal noticeId);
    //修改收货通知单信息
    int updateByPrimaryKey(BigDecimal noticeId);
    //得到id
    BigDecimal selectMaxId();
    AmsshipDeliveryNotice selectByPrimaryKey(BigDecimal noticeId);
    List<Map<String,Object>> getResultNumber();
    List<Map<String,Object>>  getcarrier();
    //    List<Map<String,Object>>  getOrderNo();
    List<Map<String,Object>>  getShipper();
    int updateByPrimaryKeySelective(AmsshipDeliveryNotice amsshipDeliveryNotice);
    List<Map<String,Object>> selectByNoticeId(Integer noticeId);
}