package com.steerinfo.dil.service;

import com.steerinfo.framework.service.IBaseService;
import com.steerinfo.dil.model.OmsshipShipmentInstructions;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * OmsshipShipmentInstructions服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-08-20 03:05
 * 类描述
 * 修订历史：
 * 日期：2021-08-20
 * 作者：generator
 * 参考：
 * 描述：OmsshipShipmentInstructions服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IOmsshipShipmentInstructionsService{
    OmsshipShipmentInstructions selectByKey(BigDecimal shipmentInstructionsId);
    /**
     * 查询所有作业位置
     * @return
     */
    List<Map<String,Object>> selectAll(Map<String,Object> mapVal);
//    int selectKey(BigDecimal shipmentInstructionsId);
    int deleteByPrimaryKey(BigDecimal shipmentInstructionsId);
    int insert(OmsshipShipmentInstructions omsshipShipmentInstructions);
    int updateByPrimaryKey(OmsshipShipmentInstructions omsshipShipmentInstructions);
    //   得到最大id
    BigDecimal selectMaxId();
    List<Map<String,Object>> selectShipmentInstructions(BigDecimal shipmentInstructionsId);

    /**
     * 修改下发状态
     * @param shipmentInstructionsId
     * @return
     */
    int updateIssueStatus(BigDecimal shipmentInstructionsId);

    /**
     * 获得批次下拉框
     * @return
     */
    List<Map<String,Object>> getBatchId();
}