package com.steerinfo.dil.service;

import com.steerinfo.framework.service.IBaseService;
import com.steerinfo.dil.model.TmsshipShipLocation;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * TmsshipShipLocation服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-08-19 08:52
 * 类描述
 * 修订历史：
 * 日期：2021-08-19
 * 作者：generator
 * 参考：
 * 描述：TmsshipShipLocation服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface ITmsshipShipLocationService{

    /**
     * 得到最大id
     * @return
     */
    BigDecimal selectMaxId();


    /**
     * 根据主键删除
     * @param locationId
     * @return
     */
    int deleteShipLocation(BigDecimal locationId);

    /**
     * 新增位置
     * @param map
     * @return
     */
    int addShipLocation(Map<String,Object> map);

    /**
     * 根据主键查看详细
     * @param locationId
     * @return
     */
    TmsshipShipLocation selectShipLocation(BigDecimal locationId);


    int updateShipLocation(TmsshipShipLocation tmsshipShipLocation);


    /**
     * 查询所有作业位置
     * @return
     */
    List<Map<String,Object>> selectShipLocationList(Map<String,Object> mapVal);

    /**
     * 查询位置作业表单数据
     * @param locationId
     * @return
     */
    List<Map<String,Object>> getShipLocation(BigDecimal locationId);
}