package com.steerinfo.dil.service.impl;

import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.framework.service.impl.BaseServiceImpl;
import com.steerinfo.dil.model.DilBatch;
import com.steerinfo.dil.mapper.DilBatchMapper;
import com.steerinfo.dil.service.IDilBatchService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import java.util.Date;
import java.math.BigDecimal;

/**
 * DilBatch服务实现：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-11-06 10:22
 * 类描述
 * 修订历史：
 * 日期：2021-11-06
 * 作者：generator
 * 参考：
 * 描述：DilBatch服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "dilBatchService")
public class DilBatchServiceImpl extends BaseServiceImpl<DilBatch, Short> implements IDilBatchService {

    @Autowired
    private DilBatchMapper dilBatchMapper;

    @Override
    protected IBaseMapper<DilBatch, Short> getMapper() {
        return dilBatchMapper;
    }
}
