package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.RmsCapacity;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.math.BigDecimal;

@Mapper
public interface RmsCapacityMapper extends IBaseMapper<RmsCapacity, Short> {

    @Select("select seq__RMS_CAPACITY.nextval from dual")
    BigDecimal selectCapacityId();
}