package com.steerinfo.dil.service;

import com.steerinfo.framework.service.IBaseService;
import com.steerinfo.dil.model.TmsshipUnloadShipResult;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * TmsshipUnloadShipResult服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-08-19 08:57
 * 类描述
 * 修订历史：
 * 日期：2021-08-19
 * 作者：generator
 * 参考：
 * 描述：TmsshipUnloadShipResult服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface ITmsshipUnloadShipResultService {
    // 查询最大id
    BigDecimal selectMaxId();

    // 插入
    int insertUnloadShip(Map<String,Object> map);

    // 根据主键删除
    int deleteUnloadShip(BigDecimal resultId);


    //根据主键查看详细
    TmsshipUnloadShipResult selectUnloadShip(BigDecimal resultId);


    // 根据主键修改
    int updateUnloadShip(TmsshipUnloadShipResult tmsshipUnloadShipResult);


    /**
     * 查询所有水分检测信息
     * @return
     */
    List<Map<String,Object>> selectUnloadShipList(Map<String,Object> mapVal);

    /**
     * 查询卸船表单信息
     * @return
     */
    List<Map<String,Object>> getUnloadShip(BigDecimal resultId);

}